%global fontname tlomt-league-gothic
%global fontconf 61-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        1.0
Release:        2%{?dist}
Summary:        A sans serif gothic typeface

Group:          User Interface/X
License:        OFL
URL:            http://www.theleagueofmoveabletype.com/fonts/7-league-gothic
Source0:        http://s3.amazonaws.com/theleague-production/fonts/league-gothic.zip
Source1:        %{name}-fontconfig.conf

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
League Gothic is a revival of an old classic, Alternate Gothic No.1.
It was originally designed by Morris Fuller Benton for the American
Type Founders Company (ATF) in 1903. The company went bankrupt in 1993.
And since the original typeface was created before 1923, the typeface
is in the public domain. It is a sans serif gothic typeface.

This is actually another version of the font which was made by
The League of Movable Type and contributed to the Open Source Type
Movement.

%prep
%setup -q -c -T
unzip -j -L -q %{SOURCE0}

%build


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p League\ Gothic.otf %{buildroot}%{_fontdir}/

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr %{buildroot}

%_font_pkg -f %{fontconf} *.otf


%changelog
* Sat Jul 02 2011 Khusro Jaleel <kerneljack@kerneljack.com> - 1.0-2
- fixed up the description to make it obvious that this is a derivative font

* Sun Jun 19 2011 Khusro Jaleel <kerneljack@kerneljack.com> - 1.0-1
- initial package for Fedora

